Ubuntu 20.04: problems with dpkg when installing new applications

MBD

New Member
Joined
Aug 11, 2021
Messages
2
Reaction score
1
Credits
21
I have problems with dpkg when installing new applications

When I run

Code:
sudo apt full-upgrade

I get the following error message:

Code:
dpkg-deb: Fehler: »einfügen«-Unterprozess wurde durch Signal (Datenübergabe unterbrochen (broken pipe

)) getötet

Fehler traten auf beim Bearbeiten von:

/var/cache/apt/archives/login_1%3a4.8.1-1ubuntu5.20.04.1_amd64.deb

E: Sub-process /usr/bin/dpkg returned an error code (1)

In the previous step I tried to install ROS Noetic for Ubuntu 20.04 and finally got the following error:

Code:
dpkg-deb: Fehler: »einfügen«-Unterprozess wurde durch Signal (Datenübergabe unterbrochen (broken pipe
)) getötet
Vorbereitung zum Entpacken von .../01-libqt5positioning5_5.12.8+dfsg-0ubuntu1_amd64.deb ...
Entpacken von libqt5positioning5:amd64 (5.12.8+dfsg-0ubuntu1) ...
dpkg: Fehler beim Bearbeiten des Archivs /tmp/apt-dpkg-install-B9HaWj/01-libqt5positioning5_5.12.8+df
sg-0ubuntu1_amd64.deb (--unpack):
Versuch, »/usr/share/doc« zu überschreiben, welches auch in Paket linux-libc-dev:amd64 5.4.0-73.82 i
st
Vorbereitung zum Entpacken von .../02-libqt5qml5_5.12.8-0ubuntu1_amd64.deb ...
Entpacken von libqt5qml5:amd64 (5.12.8-0ubuntu1) ...
dpkg: Fehler beim Bearbeiten des Archivs /tmp/apt-dpkg-install-B9HaWj/02-libqt5qml5_5.12.8-0ubuntu1_a
md64.deb (--unpack):
Versuch, »/usr/share/doc« zu überschreiben, welches auch in Paket linux-libc-dev:amd64 5.4.0-73.82 i
st
Vorbereitung zum Entpacken von .../03-libqt5quick5_5.12.8-0ubuntu1_amd64.deb ...
Entpacken von libqt5quick5:amd64 (5.12.8-0ubuntu1) ...
dpkg: Fehler beim Bearbeiten des Archivs /tmp/apt-dpkg-install-B9HaWj/03-libqt5quick5_5.12.8-0ubuntu1
_amd64.deb (--unpack):
Versuch, »/usr/share/doc« zu überschreiben, welches auch in Paket linux-libc-dev:amd64 5.4.0-73.82 i
st
Es wurde kein Apport-Bericht verfasst, da das Limit MaxReports bereits erreicht ist.
                                                                                    Vorbereitung zum
Entpacken von .../04-libqt5sensors5_5.12.8-0ubuntu1_amd64.deb ...
Entpacken von libqt5sensors5:amd64 (5.12.8-0ubuntu1) ...
dpkg: Fehler beim Bearbeiten des Archivs /tmp/apt-dpkg-install-B9HaWj/04-libqt5sensors5_5.12.8-0ubunt
u1_amd64.deb (--unpack):
Versuch, »/usr/share/doc« zu überschreiben, welches auch in Paket linux-libc-dev:amd64 5.4.0-73.82 i
st
Es wurde kein Apport-Bericht verfasst, da das Limit MaxReports bereits erreicht ist.
                                                                                    Vorbereitung zum
Entpacken von .../05-libqt5webchannel5_5.12.8-0ubuntu1_amd64.deb ...
Entpacken von libqt5webchannel5:amd64 (5.12.8-0ubuntu1) ...
dpkg: Fehler beim Bearbeiten des Archivs /tmp/apt-dpkg-install-B9HaWj/05-libqt5webchannel5_5.12.8-0ub
untu1_amd64.deb (--unpack):
Versuch, »/usr/share/doc« zu überschreiben, welches auch in Paket linux-libc-dev:amd64 5.4.0-73.82 i
st
Es wurde kein Apport-Bericht verfasst, da das Limit MaxReports bereits erreicht ist.
                                                                                    Vorbereitung zum
Entpacken von .../06-libwebp6_0.6.1-2ubuntu0.20.04.1_amd64.deb ...
Entpacken von libwebp6:amd64 (0.6.1-2ubuntu0.20.04.1) über (0.6.1-2) ...
dpkg: Fehler beim Bearbeiten des Archivs /tmp/apt-dpkg-install-B9HaWj/06-libwebp6_0.6.1-2ubuntu0.20.0
4.1_amd64.deb (--unpack):
Versuch, »/usr/share/doc« zu überschreiben, welches auch in Paket linux-libc-dev:amd64 5.4.0-73.82 i
st
Es wurde kein Apport-Bericht verfasst, da das Limit MaxReports bereits erreicht ist.
                                                                                    Vorbereitung zum
Entpacken von .../07-libxml2_2.9.10+dfsg-5ubuntu0.20.04.1_amd64.deb ...
Entpacken von libxml2:amd64 (2.9.10+dfsg-5ubuntu0.20.04.1) über (2.9.10+dfsg-5) ...
dpkg: Fehler beim Bearbeiten des Archivs /tmp/apt-dpkg-install-B9HaWj/07-libxml2_2.9.10+dfsg-5ubuntu0
.20.04.1_amd64.deb (--unpack):
Versuch, »/usr/share/doc« zu überschreiben, welches auch in Paket linux-libc-dev:amd64 5.4.0-73.82 i
st
Es wurde kein Apport-Bericht verfasst, da das Limit MaxReports bereits erreicht ist.
                                                                                    Vorbereitung zum
Entpacken von .../08-libqt5webkit5_5.212.0~alpha4-1ubuntu2_amd64.deb ...
Entpacken von libqt5webkit5:amd64 (5.212.0~alpha4-1ubuntu2) ...
dpkg: Fehler beim Bearbeiten des Archivs /tmp/apt-dpkg-install-B9HaWj/08-libqt5webkit5_5.212.0~alpha4
-1ubuntu2_amd64.deb (--unpack):
Versuch, »/usr/share/doc« zu überschreiben, welches auch in Paket linux-libc-dev:amd64 5.4.0-73.82 i
st
Es wurde kein Apport-Bericht verfasst, da das Limit MaxReports bereits erreicht ist.
                                                                                    Vorbereitung zum
Entpacken von .../09-libqt5quickparticles5_5.12.8-0ubuntu1_amd64.deb ...
Entpacken von libqt5quickparticles5:amd64 (5.12.8-0ubuntu1) ...
dpkg: Fehler beim Bearbeiten des Archivs /tmp/apt-dpkg-install-B9HaWj/09-libqt5quickparticles5_5.12.8
-0ubuntu1_amd64.deb (--unpack):
Versuch, »/usr/share/doc« zu überschreiben, welches auch in Paket linux-libc-dev:amd64 5.4.0-73.82 i
st
Es wurde kein Apport-Bericht verfasst, da das Limit MaxReports bereits erreicht ist.
                                                                                    Vorbereitung zum
Entpacken von .../10-libqt5quickshapes5_5.12.8-0ubuntu1_amd64.deb ...
Entpacken von libqt5quickshapes5:amd64 (5.12.8-0ubuntu1) ...
dpkg: Fehler beim Bearbeiten des Archivs /tmp/apt-dpkg-install-B9HaWj/10-libqt5quickshapes5_5.12.8-0u
buntu1_amd64.deb (--unpack):
Versuch, »/usr/share/doc« zu überschreiben, welches auch in Paket linux-libc-dev:amd64 5.4.0-73.82 i
st
Es wurde kein Apport-Bericht verfasst, da das Limit MaxReports bereits erreicht ist.
                                                                                    Vorbereitung zum
Entpacken von .../11-libqt5quicktest5_5.12.8-0ubuntu1_amd64.deb ...
Entpacken von libqt5quicktest5:amd64 (5.12.8-0ubuntu1) ...
dpkg: Fehler beim Bearbeiten des Archivs /tmp/apt-dpkg-install-B9HaWj/11-libqt5quicktest5_5.12.8-0ubu
ntu1_amd64.deb (--unpack):
Versuch, »/usr/share/doc« zu überschreiben, welches auch in Paket linux-libc-dev:amd64 5.4.0-73.82 i
st
Es wurde kein Apport-Bericht verfasst, da das Limit MaxReports bereits erreicht ist.
                                                                                    Vorbereitung zum
Entpacken von .../12-libqt5quickwidgets5_5.12.8-0ubuntu1_amd64.deb ...
Entpacken von libqt5quickwidgets5:amd64 (5.12.8-0ubuntu1) ...
dpkg: Fehler beim Bearbeiten des Archivs /tmp/apt-dpkg-install-B9HaWj/12-libqt5quickwidgets5_5.12.8-0
ubuntu1_amd64.deb (--unpack):
Versuch, »/usr/share/doc« zu überschreiben, welches auch in Paket linux-libc-dev:amd64 5.4.0-73.82 i
st
Es wurde kein Apport-Bericht verfasst, da das Limit MaxReports bereits erreicht ist.
                                                                                    Vorbereitung zum
Entpacken von .../13-qt5-qmltooling-plugins_5.12.8-0ubuntu1_amd64.deb ...
Entpacken von qt5-qmltooling-plugins:amd64 (5.12.8-0ubuntu1) ...
dpkg: Fehler beim Bearbeiten des Archivs /tmp/apt-dpkg-install-B9HaWj/13-qt5-qmltooling-plugins_5.12.
8-0ubuntu1_amd64.deb (--unpack):
Versuch, »/usr/share/doc« zu überschreiben, welches auch in Paket linux-libc-dev:amd64 5.4.0-73.82 i
st
Es wurde kein Apport-Bericht verfasst, da das Limit MaxReports bereits erreicht ist.
                                                                                    Vorbereitung zum
Entpacken von .../14-qtdeclarative5-dev-tools_5.12.8-0ubuntu1_amd64.deb ...
Entpacken von qtdeclarative5-dev-tools (5.12.8-0ubuntu1) ...
dpkg: Fehler beim Bearbeiten des Archivs /tmp/apt-dpkg-install-B9HaWj/14-qtdeclarative5-dev-tools_5.1
2.8-0ubuntu1_amd64.deb (--unpack):
Versuch, »/usr/share/doc« zu überschreiben, welches auch in Paket linux-libc-dev:amd64 5.4.0-73.82 i
st
Es wurde kein Apport-Bericht verfasst, da das Limit MaxReports bereits erreicht ist.
                                                                                    Vorbereitung zum
Entpacken von .../15-qtdeclarative5-dev_5.12.8-0ubuntu1_amd64.deb ...
Entpacken von qtdeclarative5-dev:amd64 (5.12.8-0ubuntu1) ...
dpkg: Fehler beim Bearbeiten des Archivs /tmp/apt-dpkg-install-B9HaWj/15-qtdeclarative5-dev_5.12.8-0u
buntu1_amd64.deb (--unpack):
Versuch, »/usr/share/doc« zu überschreiben, welches auch in Paket linux-libc-dev:amd64 5.4.0-73.82 i
st
Es wurde kein Apport-Bericht verfasst, da das Limit MaxReports bereits erreicht ist.
                                                                                    Vorbereitung zum
Entpacken von .../16-libqt5webkit5-dev_5.212.0~alpha4-1ubuntu2_amd64.deb ...
Entpacken von libqt5webkit5-dev:amd64 (5.212.0~alpha4-1ubuntu2) ...
dpkg: Fehler beim Bearbeiten des Archivs /tmp/apt-dpkg-install-B9HaWj/16-libqt5webkit5-dev_5.212.0~al
pha4-1ubuntu2_amd64.deb (--unpack):
Versuch, »/usr/share/doc« zu überschreiben, welches auch in Paket linux-libc-dev:amd64 5.4.0-73.82 i
st
Es wurde kein Apport-Bericht verfasst, da das Limit MaxReports bereits erreicht ist.
                                                                                    Vorbereitung zum
Entpacken von .../17-lz4_1.9.2-2ubuntu0.20.04.1_amd64.deb ...
Entpacken von lz4 (1.9.2-2ubuntu0.20.04.1) über (1.9.2-2) ...
dpkg: Fehler beim Bearbeiten des Archivs /tmp/apt-dpkg-install-B9HaWj/17-lz4_1.9.2-2ubuntu0.20.04.1_a
md64.deb (--unpack):
Versuch, »/usr/share/doc« zu überschreiben, welches auch in Paket linux-libc-dev:amd64 5.4.0-73.82 i
st
Es wurde kein Apport-Bericht verfasst, da das Limit MaxReports bereits erreicht ist.
                                                                                    Vorbereitung zum
Entpacken von .../18-liblz4-1_1.9.2-2ubuntu0.20.04.1_amd64.deb ...
Entpacken von liblz4-1:amd64 (1.9.2-2ubuntu0.20.04.1) über (1.9.2-2) ...
dpkg: Fehler beim Bearbeiten des Archivs /tmp/apt-dpkg-install-B9HaWj/18-liblz4-1_1.9.2-2ubuntu0.20.0
4.1_amd64.deb (--unpack):
Versuch, »/usr/share/doc« zu überschreiben, welches auch in Paket linux-libc-dev:amd64 5.4.0-73.82 i
st
Es wurde kein Apport-Bericht verfasst, da das Limit MaxReports bereits erreicht ist.
                                                                                    Fehler traten auf
beim Bearbeiten von:
/tmp/apt-dpkg-install-B9HaWj/00-fonts-lato_2.0-2_all.deb
/tmp/apt-dpkg-install-B9HaWj/01-libqt5positioning5_5.12.8+dfsg-0ubuntu1_amd64.deb
/tmp/apt-dpkg-install-B9HaWj/02-libqt5qml5_5.12.8-0ubuntu1_amd64.deb
/tmp/apt-dpkg-install-B9HaWj/03-libqt5quick5_5.12.8-0ubuntu1_amd64.deb
/tmp/apt-dpkg-install-B9HaWj/04-libqt5sensors5_5.12.8-0ubuntu1_amd64.deb
/tmp/apt-dpkg-install-B9HaWj/05-libqt5webchannel5_5.12.8-0ubuntu1_amd64.deb
/tmp/apt-dpkg-install-B9HaWj/06-libwebp6_0.6.1-2ubuntu0.20.04.1_amd64.deb
/tmp/apt-dpkg-install-B9HaWj/07-libxml2_2.9.10+dfsg-5ubuntu0.20.04.1_amd64.deb
/tmp/apt-dpkg-install-B9HaWj/08-libqt5webkit5_5.212.0~alpha4-1ubuntu2_amd64.deb
/tmp/apt-dpkg-install-B9HaWj/09-libqt5quickparticles5_5.12.8-0ubuntu1_amd64.deb
/tmp/apt-dpkg-install-B9HaWj/10-libqt5quickshapes5_5.12.8-0ubuntu1_amd64.deb
/tmp/apt-dpkg-install-B9HaWj/11-libqt5quicktest5_5.12.8-0ubuntu1_amd64.deb
/tmp/apt-dpkg-install-B9HaWj/12-libqt5quickwidgets5_5.12.8-0ubuntu1_amd64.deb
/tmp/apt-dpkg-install-B9HaWj/13-qt5-qmltooling-plugins_5.12.8-0ubuntu1_amd64.deb
/tmp/apt-dpkg-install-B9HaWj/14-qtdeclarative5-dev-tools_5.12.8-0ubuntu1_amd64.deb
/tmp/apt-dpkg-install-B9HaWj/15-qtdeclarative5-dev_5.12.8-0ubuntu1_amd64.deb
/tmp/apt-dpkg-install-B9HaWj/16-libqt5webkit5-dev_5.212.0~alpha4-1ubuntu2_amd64.deb
/tmp/apt-dpkg-install-B9HaWj/17-lz4_1.9.2-2ubuntu0.20.04.1_amd64.deb
/tmp/apt-dpkg-install-B9HaWj/18-liblz4-1_1.9.2-2ubuntu0.20.04.1_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

Obviously there is a collision with the Linux kernel header package

Code:
linux-libc-dev:amd64 5.4.0-73.82

Removing this will of course not be a smart solution. Does anyone have any idea how else to fix this problem? Would be grateful for any tip!

EDIT: I apologize that the error messages are not in English
 
Last edited:


Lord Boltar

Well-Known Member
Joined
Nov 24, 2020
Messages
1,772
Reaction score
1,185
Credits
13,201
English translation would be nice since many do not read or speak German
But on the first error try
Code:
sudo dpkg --purge path/package.deb
Code:
sudo apt -f install
Code:
sudo apt update && sudo apt upgrade
 
Last edited:
OP
M

MBD

New Member
Joined
Aug 11, 2021
Messages
2
Reaction score
1
Credits
21
@Lord Boltar thank you for your tipp. Yesterday I tried sudo apt-get purge apport apport-gtk whoopsie and sudo apt upgrade and then I was able to install ROS Noetic without problems. Maybe the cache was flushed when reboot and this solved the problem. I will observe the system the next few days if everything works fine. Thanks.
 
$100 Digital Ocean Credit
Get a free VM to test out Linux!

Linux.org Hosting Donations
Consider making a donation

Members online


Latest posts

Top